SystemOrganization addCategory: #ConfigurationOfMondrian!

Object subclass: #ConfigurationOfMondrian
	instanceVariableNames: 'project'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfMondrian'!

!ConfigurationOfMondrian classSide methodsFor: 'private' stamp: ''!
ensureMetacello
	Smalltalk at: #MetacelloProject ifAbsent: [
		Gofer new
				url: 'http://seaside.gemstone.com/ss/metacello';
				package: 'ConfigurationOfMetacello';
				load.
		(Smalltalk at: #ConfigurationOfMetacello) loadLatestVersion ]! !

!ConfigurationOfMondrian classSide methodsFor: 'metacello tool support' stamp: ''!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfMondrian classSide methodsFor: 'loading' stamp: ''!
loadDefault
	(self project version: 'default') load! !

!ConfigurationOfMondrian classSide methodsFor: 'loading' stamp: ''!
loadDefaultMinimal
	(self project version: 'defaultMinimal') load! !

!ConfigurationOfMondrian classSide methodsFor: 'loading' stamp: ''!
loadLastStable
	self project latestVersion load! !

!ConfigurationOfMondrian classSide methodsFor: 'loading' stamp: ''!
loadLastestVersion
	self default! !

!ConfigurationOfMondrian classSide methodsFor: 'accessing' stamp: ''!
project

	^self new project! !

!ConfigurationOfMondrian methodsFor: 'baselines' stamp: ''!
baseline20beta1: spec 
	<version: '2.0-beta.1-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/Mondrian'.
		spec 
			package: 'Mondrian';
			package: 'CollectionExtensions' with: [ spec repository: 'http://www.squeaksource.com/CollectionExtensions' ];
			package: 'MondrianPaintings' with: [ spec requires: {'Mondrian'} ].
		spec group: 'Tests' with: #(
						'Mondrian'
						'CollectionExtensions'). 
	]! !

!ConfigurationOfMondrian methodsFor: 'baselines' stamp: ''!
baseline20beta2: spec 
	<version: '2.0-beta.2-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/Mondrian'.
		spec 
			package: 'Mondrian';
			package: 'CollectionExtensions' with: [ spec repository: 'http://www.squeaksource.com/CollectionExtensions' ];
			package: 'MondrianPaintings' with: [ spec requires: {'Mondrian'} ].
			
		spec project: 'HealthReportProducer' with: [
				spec
					className: 'ConfigurationOfHealthReportProducer';
					file: 'ConfigurationOfHealthReportProducer';
					version: '0.1-baseline';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].

		spec group: 'Tests' with: #(
						'Mondrian'
						'CollectionExtensions') ]! !

!ConfigurationOfMondrian methodsFor: 'baselines' stamp: ''!
baseline20beta3: spec 
	<version: '2.0-beta.3-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/Mondrian'.
		spec 
			package: 'Mondrian';
			package: 'CollectionExtensions' with: [ spec repository: 'http://www.squeaksource.com/CollectionExtensions' ].
			
		spec project: 'HealthReportProducer' with: [
				spec
					className: 'ConfigurationOfHealthReportProducer';
					file: 'ConfigurationOfHealthReportProducer';
					version: '1.0-beta.1';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].

		spec group: 'Tests' with: #(
						'Mondrian'
						'CollectionExtensions') ]! !

!ConfigurationOfMondrian methodsFor: 'baselines' stamp: ''!
baseline20beta4: spec 
	<version: '2.0-beta.4-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/Mondrian'.
		spec 
			package: 'Mondrian';
			package: 'CollectionExtensions' with: [ spec repository: 'http://www.squeaksource.com/CollectionExtensions' ].
			
		spec project: 'HealthReportProducer' with: [
				spec
					className: 'ConfigurationOfHealthReportProducer';
					file: 'ConfigurationOfHealthReportProducer';
					version: '1.0-beta.1';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].

		spec project: 'ProfStef' with: [
				spec
					className: 'ConfigurationOfProfStef';
					file: 'ConfigurationOfProfStef';
					version: '1.1';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].

		spec group: 'Tests' with: #(
						'Mondrian'
						'CollectionExtensions') ]! !

!ConfigurationOfMondrian methodsFor: 'baselines' stamp: ''!
baseline210: spec
	<version: '2.10-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec description: 'Added Mondrian-ShapeVisitor'.
		spec repository: 'http://www.squeaksource.com/Mondrian'.
		spec 
			project: 'Shout' with: [
				spec
					className: 'ConfigurationOfShout';
					versionString: '1.2.2';
					loads: #('Core' );
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'ProfStef' with: [
				spec
					className: 'ConfigurationOfProfStef';
					versionString: '1.6';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'HealthReportProducer' with: [
				spec
					className: 'ConfigurationOfHealthReportProducer';
					versionString: '0.2-baseline';
					repository: 'http://www.squeaksource.com/HealthReportProducer' ].
		spec 
			package: 'CollectionExtensions' with: [
				spec repository: 'http://www.squeaksource.com/CollectionExtensions'. ];
			package: 'Nile-Base' with: [
				spec repository: 'http://www.squeaksource.com/Nile'. ];
			package: 'Mondrian-ComplexShape';
			package: 'Mondrian-Core';
			package: 'Mondrian-Layouts';
			package: 'Mondrian-Help';
			package: 'Mondrian-Easel';
			package: 'Mondrian-Pharo-Tests';
			package: 'Mondrian-Shapes';
			package: 'Mondrian-Events';
			package: 'Mondrian-Visitor';
			package: 'Mondrian-Util';
			package: 'Mondrian-Normalizers';
			package: 'Mondrian-Example';
			package: 'Mondrian-ShapeVisitor';
			package: 'Mondrian-Pharo-Morphic';
			package: 'Mondrian-Tests' with: [ spec requires: 'HealthReportProducer' ];
			package: 'Mondrian-FADELayout'.
		spec group: 'Tests' with: #('Mondrian-Tests' 'Mondrian-Pharo-Tests' 'CollectionExtensions' 'Mondrian-FADELayout' 'Mondrian-Visitor' 'Mondrian-Example' 'Mondrian-Util' 'Mondrian-Help'). ].
! !

!ConfigurationOfMondrian methodsFor: 'baselines' stamp: 'TudorGirba 4/14/2012 09:05'!
baseline211: spec
	<version: '2.11-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec description: 'Added Mondrian-ShapeVisitor'.
		spec repository: 'http://www.squeaksource.com/Mondrian'.
		spec 
			project: 'Shout' with: [
				spec
					className: 'ConfigurationOfShout';
					versionString: '1.2.2';
					loads: #('Core' );
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'ShapeST80' with: [
				spec
					className: 'ConfigurationOfShapeST80';
					versionString: #development;
					loads: #('default' );
					repository: 'http://www.squeaksource.com/ShapeST80' ];
			project: 'ProfStef' with: [
				spec
					className: 'ConfigurationOfProfStef';
					versionString: '1.6';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'HealthReportProducer' with: [
				spec
					className: 'ConfigurationOfHealthReportProducer';
					versionString: '0.2-baseline';
					repository: 'http://www.squeaksource.com/HealthReportProducer' ].
		spec 
			package: 'CollectionExtensions' with: [
				spec repository: 'http://www.squeaksource.com/CollectionExtensions'. ];
			package: 'Nile-Base' with: [
				spec repository: 'http://www.squeaksource.com/Nile'. ];
			package: 'Mondrian-ComplexShape';
			package: 'Mondrian-Core';
			package: 'Mondrian-Layouts';
			package: 'Mondrian-Help';
			package: 'Mondrian-Easel';
			package: 'Mondrian-Pharo-Tests';
			package: 'Mondrian-Shapes';
			package: 'Mondrian-Events';
			package: 'Mondrian-Visitor';
			package: 'Mondrian-Util';
			package: 'Mondrian-Normalizers';
			package: 'Mondrian-Example';
			package: 'Mondrian-ShapeVisitor';
			package: 'Mondrian-Pharo-Morphic';
			package: 'Mondrian-Tests' with: [ spec requires: 'HealthReportProducer' ];
			package: 'Mondrian-FADELayout'.
		spec group: 'Tests' with: #('Mondrian-Tests' 'Mondrian-Pharo-Tests' 'CollectionExtensions' 'Mondrian-FADELayout' 'Mondrian-Visitor' 'Mondrian-Example' 'Mondrian-Util' 'Mondrian-Help'). ].
! !

!ConfigurationOfMondrian methodsFor: 'baselines' stamp: ''!
baseline21: spec 
	<version: '2.1-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/Mondrian'.

		spec project: 'HealthReportProducer' with: [
				spec
					className: 'ConfigurationOfHealthReportProducer';
					file: 'ConfigurationOfHealthReportProducer';
					version: '1.0-beta.1';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].

		spec project: 'ProfStef' with: [
				spec
					className: 'ConfigurationOfProfStef';
					file: 'ConfigurationOfProfStef';
					version: '1.3';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].

		spec 
			package: 'CollectionExtensions' with: [ spec repository: 'http://www.squeaksource.com/CollectionExtensions' ];
 			package: 'Mondrian-ComplexShape';
			package: 'Mondrian-Core';
			package: 'Mondrian-Layouts';
			package: 'Mondrian-Help';
			package: 'Mondrian-Easel';
			package: 'Mondrian-Interaction';
			package: 'Mondrian-Pharo-Tests';
			package: 'Mondrian-Shapes';
			package: 'Mondrian-Events';
			package: 'Mondrian-Visitor';
			package: 'Mondrian-Animation';
			package: 'Mondrian-Util';
			package: 'Mondrian-Normalizers';
			package: 'Mondrian-Example';
			package: 'Mondrian-Pharo-Morphic';
			package: 'Mondrian-Tests'.

		spec group: 'Tests' with: #(
						'Mondrian-Tests'
						'Mondrian-Pharo-Tests'
						'CollectionExtensions')  ]! !

!ConfigurationOfMondrian methodsFor: 'baselines' stamp: ''!
baseline22: spec 
	<version: '2.2-baseline'>
	"This baseline works for Pharo 1.1.1"
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/Mondrian'.

		spec project: 'Shout' with: [
				spec
					className: 'ConfigurationOfShout';
					loads: #('Core' );
					version: '1.2.2';
					file: 'ConfigurationOfShout';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].

		spec project: 'ProfStef' with: [
				spec
					className: 'ConfigurationOfProfStef';
					file: 'ConfigurationOfProfStef';
					version: '1.4';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].

		spec 
			package: 'CollectionExtensions' with: [ spec repository: 'http://www.squeaksource.com/CollectionExtensions' ];
 			package: 'Mondrian-ComplexShape';
			package: 'Mondrian-Core';
			package: 'Mondrian-Layouts';
			package: 'Mondrian-Help';
			package: 'Mondrian-Easel';
			package: 'Mondrian-Interaction';
			package: 'Mondrian-Pharo-Tests';
			package: 'Mondrian-Shapes';
			package: 'Mondrian-Events';
			package: 'Mondrian-Visitor';
			package: 'Mondrian-Animation';
			package: 'Mondrian-Util';
			package: 'Mondrian-Normalizers';
			package: 'Mondrian-Example';
			package: 'Mondrian-Pharo-Morphic';
			package: 'Mondrian-Tests'.

		spec project: 'HealthReportProducer' with: [
				spec
					className: 'ConfigurationOfHealthReportProducer';
					file: 'ConfigurationOfHealthReportProducer';
					version: '0.1-baseline';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].

		spec group: 'Tests' with: #(
						'Mondrian-Tests'
						'Mondrian-Pharo-Tests'
						'CollectionExtensions') ]! !

!ConfigurationOfMondrian methodsFor: 'baselines' stamp: ''!
baseline23: spec 
	<version: '2.3-baseline'>
	"This baseline works for Pharo 1.2"
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/Mondrian'.

		spec project: 'Shout' with: [
				spec
					className: 'ConfigurationOfShout';
					loads: #('Core' );
					version: '1.2.2';
					file: 'ConfigurationOfShout';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].

		spec project: 'ProfStef' with: [
				spec
					className: 'ConfigurationOfProfStef';
					file: 'ConfigurationOfProfStef';
					version: '1.4';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].

		spec 
			package: 'CollectionExtensions' with: [ spec repository: 'http://www.squeaksource.com/CollectionExtensions' ];
 			package: 'Mondrian-ComplexShape';
			package: 'Mondrian-Core';
			package: 'Mondrian-Layouts';
			package: 'Mondrian-Help';
			package: 'Mondrian-Easel';
			package: 'Mondrian-Interaction';
			package: 'Mondrian-Pharo-Tests';
			package: 'Mondrian-Shapes';
			package: 'Mondrian-Events';
			package: 'Mondrian-Visitor';
			package: 'Mondrian-Animation';
			package: 'Mondrian-Util';
			package: 'Mondrian-Normalizers';
			package: 'Mondrian-Example';
			package: 'Mondrian-Pharo-Morphic';
			package: 'Mondrian-Tests'.

		spec project: 'HealthReportProducer' with: [
				spec
					className: 'ConfigurationOfHealthReportProducer';
					file: 'ConfigurationOfHealthReportProducer';
					version: '0.1-baseline';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].

		spec group: 'Tests' with: #(
						'Mondrian-Tests'
						'Mondrian-Pharo-Tests'
						'CollectionExtensions') ]! !

!ConfigurationOfMondrian methodsFor: 'baselines' stamp: ''!
baseline24: spec 
	<version: '2.4-baseline'>
	"This baseline works for Pharo 1.2"
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/Mondrian'.

		spec project: 'Shout' with: [
				spec
					className: 'ConfigurationOfShout';
					loads: #('Core' );
					version: '1.2.2';
					file: 'ConfigurationOfShout';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].

		spec project: 'ProfStef' with: [
				spec
					className: 'ConfigurationOfProfStef';
					file: 'ConfigurationOfProfStef';
					version: '1.4';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].

		spec 
			package: 'CollectionExtensions' with: [ spec repository: 'http://www.squeaksource.com/CollectionExtensions' ];
 			package: 'Mondrian-ComplexShape';
			package: 'Mondrian-Core';
			package: 'Mondrian-Layouts';
			package: 'Mondrian-Help';
			package: 'Mondrian-Easel';
			package: 'Mondrian-Pharo-Tests';
			package: 'Mondrian-Shapes';
			package: 'Mondrian-Events';
			package: 'Mondrian-Visitor';
			package: 'Mondrian-Util';
			package: 'Mondrian-Normalizers';
			package: 'Mondrian-Example';
			package: 'Mondrian-Pharo-Morphic';
			package: 'Mondrian-Tests'.

		spec project: 'HealthReportProducer' with: [
				spec
					className: 'ConfigurationOfHealthReportProducer';
					file: 'ConfigurationOfHealthReportProducer';
					version: '0.1-baseline';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].

		spec group: 'Tests' with: #(
						'Mondrian-Tests'
						'Mondrian-Pharo-Tests'
						'CollectionExtensions') ]! !

!ConfigurationOfMondrian methodsFor: 'baselines' stamp: ''!
baseline25: spec 
	<version: '2.5-baseline'>
	"This baseline works for Pharo 1.2"
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/Mondrian'.

		spec project: 'Shout' with: [
				spec
					className: 'ConfigurationOfShout';
					loads: #('Core' );
					version: '1.2.2';
					file: 'ConfigurationOfShout';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].

		spec project: 'ProfStef' with: [
				spec
					className: 'ConfigurationOfProfStef';
					file: 'ConfigurationOfProfStef';
					version: '1.4';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].

		spec 
			package: 'CollectionExtensions' with: [ spec repository: 'http://www.squeaksource.com/CollectionExtensions' ];
 			package: 'Mondrian-ComplexShape';
			package: 'Mondrian-Core';
			package: 'Mondrian-Layouts';
			package: 'Mondrian-Help';
			package: 'Mondrian-Easel';
			package: 'Mondrian-Pharo-Tests';
			package: 'Mondrian-Shapes';
			package: 'Mondrian-Events';
			package: 'Mondrian-Visitor';
			package: 'Mondrian-Util';
			package: 'Mondrian-Normalizers';
			package: 'Mondrian-Example';
			package: 'Mondrian-Pharo-Morphic';
			package: 'Mondrian-Tests'.
	
		spec project: 'HealthReportProducer' with: [
				spec
					className: 'ConfigurationOfHealthReportProducer';
					file: 'ConfigurationOfHealthReportProducer';
					version: '0.2-baseline';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].

		spec group: 'Tests' with: #(
						'Mondrian-Tests'
						'Mondrian-Pharo-Tests'
						'CollectionExtensions') ]! !

!ConfigurationOfMondrian methodsFor: 'baselines' stamp: ''!
baseline26: spec 
	<version: '2.6-baseline'>
	"This baseline works for Pharo 1.2"
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/Mondrian'.

		spec project: 'Shout' with: [
				spec
					className: 'ConfigurationOfShout';
					loads: #('Core' );
					version: '1.2.2';
					file: 'ConfigurationOfShout';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].

		spec project: 'ProfStef' with: [
				spec
					className: 'ConfigurationOfProfStef';
					file: 'ConfigurationOfProfStef';
					version: '1.4';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].

		spec 
			package: 'CollectionExtensions' with: [ spec repository: 'http://www.squeaksource.com/CollectionExtensions' ];
			package: 'Nile-Base' with: [spec repository: 'http://www.squeaksource.com/Nile'];
 			package: 'Mondrian-ComplexShape';
			package: 'Mondrian-Core';
			package: 'Mondrian-Layouts';
			package: 'Mondrian-Help';
			package: 'Mondrian-Easel';
			package: 'Mondrian-Pharo-Tests';
			package: 'Mondrian-Shapes';
			package: 'Mondrian-Events';
			package: 'Mondrian-Visitor';
			package: 'Mondrian-Util';
			package: 'Mondrian-Normalizers';
			package: 'Mondrian-Example';
			package: 'Mondrian-Pharo-Morphic';
			package: 'Mondrian-Tests'.
	
		spec project: 'HealthReportProducer' with: [
				spec
					className: 'ConfigurationOfHealthReportProducer';
					file: 'ConfigurationOfHealthReportProducer';
					version: '0.2-baseline';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].

		spec group: 'Tests' with: #(
						'Mondrian-Tests'
						'Mondrian-Pharo-Tests'
						'CollectionExtensions') ]! !

!ConfigurationOfMondrian methodsFor: 'baselines' stamp: ''!
baseline27: spec 
	<version: '2.7-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/Mondrian'.

		spec project: 'Shout' with: [
				spec
					className: 'ConfigurationOfShout';
					loads: #('Core' );
					version: '1.2.2';
					file: 'ConfigurationOfShout';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].

		spec project: 'ProfStef' with: [
				spec
					className: 'ConfigurationOfProfStef';
					file: 'ConfigurationOfProfStef';
					version: '1.6';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].

		spec 
			package: 'CollectionExtensions' with: [ spec repository: 'http://www.squeaksource.com/CollectionExtensions' ];
			package: 'Nile-Base' with: [spec repository: 'http://www.squeaksource.com/Nile'];
 			package: 'Mondrian-ComplexShape';
			package: 'Mondrian-Core';
			package: 'Mondrian-Layouts';
			package: 'Mondrian-Help';
			package: 'Mondrian-Easel';
			package: 'Mondrian-Pharo-Tests';
			package: 'Mondrian-Shapes';
			package: 'Mondrian-Events';
			package: 'Mondrian-Visitor';
			package: 'Mondrian-Util';
			package: 'Mondrian-Normalizers';
			package: 'Mondrian-Example';
			package: 'Mondrian-Pharo-Morphic';
			package: 'Mondrian-Tests'.
	
		spec project: 'HealthReportProducer' with: [
				spec
					className: 'ConfigurationOfHealthReportProducer';
					file: 'ConfigurationOfHealthReportProducer';
					version: '0.2-baseline';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].

		spec group: 'Tests' with: #(
						'Mondrian-Tests'
						'Mondrian-Pharo-Tests'
						'CollectionExtensions') ]! !

!ConfigurationOfMondrian methodsFor: 'baselines' stamp: ''!
baseline28: spec 
	<version: '2.8-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/Mondrian'.

		spec project: 'Shout' with: [
				spec
					className: 'ConfigurationOfShout';
					loads: #('Core' );
					version: '1.2.2';
					file: 'ConfigurationOfShout';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].

		spec project: 'ProfStef' with: [
				spec
					className: 'ConfigurationOfProfStef';
					file: 'ConfigurationOfProfStef';
					version: '1.6';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].

		spec 
			package: 'CollectionExtensions' with: [ spec repository: 'http://www.squeaksource.com/CollectionExtensions' ];
			package: 'Nile-Base' with: [spec repository: 'http://www.squeaksource.com/Nile'];
 			package: 'Mondrian-ComplexShape';
			package: 'Mondrian-Core';
			package: 'Mondrian-Layouts';
			package: 'Mondrian-Help';
			package: 'Mondrian-Easel';
			package: 'Mondrian-Pharo-Tests';
			package: 'Mondrian-Shapes';
			package: 'Mondrian-Events';
			package: 'Mondrian-Visitor';
			package: 'Mondrian-Util';
			package: 'Mondrian-Normalizers';
			package: 'Mondrian-Example';
			package: 'Mondrian-Pharo-Morphic';
			package: 'Mondrian-Tests'.
	
		spec project: 'HealthReportProducer' with: [
				spec
					className: 'ConfigurationOfHealthReportProducer';
					file: 'ConfigurationOfHealthReportProducer';
					version: '0.2-baseline';
					repository: 'http://www.squeaksource.com/HealthReportProducer' ].

		spec group: 'Tests' with: #(
						'Mondrian-Tests'
						'Mondrian-Pharo-Tests'
						'CollectionExtensions') ]! !

!ConfigurationOfMondrian methodsFor: 'baselines' stamp: ''!
baseline29: spec
	<version: '2.9-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec description: 'Added FADE'.
		spec repository: 'http://www.squeaksource.com/Mondrian'.
		spec 
			project: 'Shout' with: [
				spec
					className: 'ConfigurationOfShout';
					versionString: '1.2.2';
					loads: #('Core' );
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'ProfStef' with: [
				spec
					className: 'ConfigurationOfProfStef';
					versionString: '1.6';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'HealthReportProducer' with: [
				spec
					className: 'ConfigurationOfHealthReportProducer';
					versionString: '0.2-baseline';
					repository: 'http://www.squeaksource.com/HealthReportProducer' ].
		spec 
			package: 'CollectionExtensions' with: [
				spec repository: 'http://www.squeaksource.com/CollectionExtensions'. ];
			package: 'Nile-Base' with: [
				spec repository: 'http://www.squeaksource.com/Nile'. ];
			package: 'Mondrian-ComplexShape';
			package: 'Mondrian-Core';
			package: 'Mondrian-Layouts';
			package: 'Mondrian-Help';
			package: 'Mondrian-Easel';
			package: 'Mondrian-Pharo-Tests';
			package: 'Mondrian-Shapes';
			package: 'Mondrian-Events';
			package: 'Mondrian-Visitor';
			package: 'Mondrian-Util';
			package: 'Mondrian-Normalizers';
			package: 'Mondrian-Example';
			package: 'Mondrian-Pharo-Morphic';
			package: 'Mondrian-Tests' with: [ spec requires: 'HealthReportProducer' ];
			package: 'Mondrian-FADELayout'.
		spec group: 'Tests' with: #('Mondrian-Tests' 'Mondrian-Pharo-Tests' 'CollectionExtensions' 'Mondrian-FADELayout' 'Mondrian-Visitor' 'Mondrian-Example' 'Mondrian-Util' 'Mondrian-Help'). ].
! !

!ConfigurationOfMondrian methodsFor: 'baselines' stamp: ''!
default: spec 
	<version: 'default'>

	self baseline211: spec! !

!ConfigurationOfMondrian methodsFor: 'baselines' stamp: ''!
defaultMinimal: spec 
	<version: 'defaultMinimal'>
	"Shout not loaded"
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/Mondrian'.

		spec project: 'ProfStef' with: [
				spec
					className: 'ConfigurationOfProfStef';
					file: 'ConfigurationOfProfStef';
					version: '1.6';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].

		spec 
			package: 'CollectionExtensions' with: [ spec repository: 'http://www.squeaksource.com/CollectionExtensions' ];
			package: 'Nile-Base' with: [spec repository: 'http://www.squeaksource.com/Nile'];
 			package: 'Mondrian-ComplexShape';
			package: 'Mondrian-Core';
			package: 'Mondrian-Layouts';
			package: 'Mondrian-Help';
			package: 'Mondrian-Easel';
			package: 'Mondrian-Pharo-Tests';
			package: 'Mondrian-Shapes';
			package: 'Mondrian-Events';
			package: 'Mondrian-Visitor';
			package: 'Mondrian-Util';
			package: 'Mondrian-Normalizers';
			package: 'Mondrian-Example';
			package: 'Mondrian-Pharo-Morphic';
			package: 'Mondrian-Tests' with: [ spec requires: 'HealthReportProducer' ];
			package: 'Mondrian-FADELayout'.
	
		spec project: 'HealthReportProducer' with: [
				spec
					className: 'ConfigurationOfHealthReportProducer';
					file: 'ConfigurationOfHealthReportProducer';
					version: '1.3';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].

		spec group: 'Tests' with: #(
						'Mondrian-Tests'
						'Mondrian-Pharo-Tests'
						'CollectionExtensions') ]! !

!ConfigurationOfMondrian methodsFor: 'symbolic versions' stamp: 'AlexandreBergel 9/27/2012 12:21'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '2.161'.
! !

!ConfigurationOfMondrian methodsFor: 'accessing' stamp: ''!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project]! !

!ConfigurationOfMondrian methodsFor: 'symbolic versions' stamp: ''!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '2.78'.
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version207: spec
	<version: '2.0.7' imports: #('2.0-beta.6')>

	spec for: #common do: [
		spec author: 'simondenier'.
		spec timestamp: '4/6/2010 19:44'.
		spec blessing: #development.
		spec project: 'HealthReportProducer' with: '0.1-baseline'.
		spec 
			package: 'Mondrian' with: 'Mondrian-tg.413';
			package: 'CollectionExtensions' with: 'CollectionExtensions-simon_denier.19';
			package: 'MondrianPaintings' with: 'MondrianPaintings-tg.20'.].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version20beta1: spec
	<version: '2.0-beta.1' imports: #('2.0-beta.1-baseline')>

	spec for: #common do: [
		spec author: 'tg'.
		spec timestamp: '11/21/2009 23:03'.
		spec blessing: #stable.
		spec 
			package: 'Mondrian' with: 'Mondrian-VeronicaUquillas.295';
			package: 'CollectionExtensions' with: 'CollectionExtensions-tg.18';
			package: 'MondrianPaintings' with: 'MondrianPaintings-simon_denier.19'.].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version20beta2: spec
	<version: '2.0-beta.2' imports: #('2.0-beta.1-baseline')>

	spec for: #common do: [
		spec author: 'Alexandre Bergel'.
		spec timestamp: '12/3/2009 17:00'.
		spec blessing: #stable.
		spec 
			package: 'Mondrian' with: 'Mondrian-Alexandre_Bergel.300';
			package: 'CollectionExtensions' with: 'CollectionExtensions-tg.18';
			package: 'MondrianPaintings' with: 'MondrianPaintings-simon_denier.19'.].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version20beta3: spec
	<version: '2.0-beta.3' imports: #('2.0-beta.1-baseline')>

	spec for: #common do: [
		spec author: 'tg'.
		spec timestamp: '12/28/2009 20:59'.
		spec blessing: #stable.
		spec 
			package: 'Mondrian' with: 'Mondrian-Alexandre_Bergel.329';
			package: 'CollectionExtensions' with: 'CollectionExtensions-tg.18';
			package: 'MondrianPaintings' with: 'MondrianPaintings-tg.20'.].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version20beta4: spec
	<version: '2.0-beta.4' imports: #('2.0-beta.2-baseline')>

	spec for: #common do: [
		spec author: 'simondenier'.
		spec timestamp: '1/29/2010 21:02'.
		spec blessing: #stable.
		spec project: 'HealthReportProducer' with: '0.1-baseline'.
		spec 
			package: 'Mondrian' with: 'Mondrian-Alexandre_Bergel.347';
			package: 'CollectionExtensions' with: 'CollectionExtensions-tg.18';
			package: 'MondrianPaintings' with: 'MondrianPaintings-tg.20'.].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version20beta5: spec
	<version: '2.0-beta.5' imports: #('2.0-beta.2-baseline')>

	spec for: #common do: [
		spec blessing: #beta.
		spec author: 'tg'.
		spec timestamp: '2/16/2010 12:38'.
		spec project: 'HealthReportProducer' with: '0.1-baseline'.
		spec 
			package: 'Mondrian' with: 'Mondrian-tg.362';
			package: 'CollectionExtensions' with: 'CollectionExtensions-tg.18';
			package: 'MondrianPaintings' with: 'MondrianPaintings-tg.20'.].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version20beta6: spec
	<version: '2.0-beta.6' imports: #('2.0-beta.5' )>

	spec for: #common do: [
		spec blessing: #development.
		spec author: 'simon.denier'.
		spec timestamp: '3/31/2010 15:59'.
		spec project: 'HealthReportProducer' with: '0.1-baseline'.
		spec 
			package: 'Mondrian' with: 'Mondrian-Alexandre_Bergel.401';
			package: 'CollectionExtensions' with: 'CollectionExtensions-simon_denier.19';
			package: 'MondrianPaintings' with: 'MondrianPaintings-tg.20'.].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version20beta7: spec
	<version: '2.0-beta.7' imports: #('2.0-beta.2-baseline' )>

	spec for: #common do: [
		spec blessing: #development.
		spec author: 'jannik.laval'.
		spec timestamp: '6/1/2010 15:59'.
		spec project: 'HealthReportProducer' with: '0.1-baseline'.
		spec 
			package: 'Mondrian' with: 'Mondrian-jannik_laval.452';
			package: 'CollectionExtensions' with: 'CollectionExtensions-tg.20';
			package: 'MondrianPaintings' with: 'MondrianPaintings-jannik_laval.21'.].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version20beta8: spec
	<version: '2.0-beta.8' imports: #('2.0-beta.3-baseline' )>

	spec for: #common do: [
		spec blessing: #development.
		spec author: 'jl'.
		spec timestamp: '09/13/2010 22:00'.
		spec project: 'HealthReportProducer' with: '1.0-beta.1'.
		spec 
			package: 'Mondrian' with: 'Mondrian-AlexandreBergel.575';
			package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version20beta9: spec
	<version: '2.1' imports: #('2.1-baseline' )>

	spec for: #common do: [
		spec blessing: #development.
		spec author: 'Alexandre Bergel'.
		spec timestamp: '10/27/2010 10:44'.
		spec project: 'HealthReportProducer' with: '1.0-beta.1'.
		spec 
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.1';
			package: 'Mondrian-Core'  with: 'Mondrian-Core-AlexandreBergel.1';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.1';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.1';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.1';
			package: 'Mondrian-Interaction' with: 'Mondrian-Interaction-AlexandreBergel.1';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.1';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.1';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.1';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.1';
			package: 'Mondrian-Animation' with: 'Mondrian-Animation-AlexandreBergel.1';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.1';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.1';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.1';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.1';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.1';
			
			package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2100: spec
	<version: '2.100' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.99 : MOEaselCommandHTML5Exporter added. Merged with Santiago last change
2.100 : Bug fixed in Santiago''s visitor'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '6/6/2011 15:49'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.30';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.65';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.20';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.36';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.9';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-SantiagoVidal.34';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.13';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-SantiagoVidal.18';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.6';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.4';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.26';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-SantiagoVidal.18';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.78';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2101: spec
	<version: '2.101' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.100 : Bug fixed in Santiago''s visitor
2.101 : fix in Santiago''s visitor'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '6/6/2011 15:52'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.30';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.65';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.20';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.36';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.9';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-SantiagoVidal.34';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.13';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-SantiagoVidal.19';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.6';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.4';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.26';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-SantiagoVidal.18';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.78';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2102: spec
	<version: '2.102' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.101 : fix in Santiago''s visitor
2.102 : Added a small examples that examplifies the interactive edges'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '6/14/2011 12:26'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.30';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.65';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.20';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.36';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.9';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-SantiagoVidal.34';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.13';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-SantiagoVidal.19';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.6';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.4';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.27';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-SantiagoVidal.18';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.78';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2103: spec
	<version: '2.103' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.102 : Added a small examples that examplifies the interactive edges
2.103 : minor reformating, simple refactoring of the code. Added a new example in the Easel to track down conditional in source code'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '6/19/2011 13:57'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.30';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.66';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.20';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.36';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.9';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.35';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.13';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-SantiagoVidal.24';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.7';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.4';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.28';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.19';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.80';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2104: spec
	<version: '2.104' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.103 : minor reformating, simple refactoring of the code. Added a new example in the Easel to track down conditional in source code
2.104 : merged'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '6/19/2011 21:18'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.30';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.66';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.20';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-SantiagoVidal.37';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.9';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.35';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.13';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-SantiagoVidal.25';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.7';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.4';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.28';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.20';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.80';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2105: spec
	<version: '2.105' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.104 : merged
2.105 : renamed the variable aCollection for aCollectionOfEntities'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '6/20/2011 08:47'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.30';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.67';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.20';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-SantiagoVidal.37';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.9';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.35';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.13';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-SantiagoVidal.25';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.7';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.4';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.28';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.20';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.80';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2106: spec
	<version: '2.106' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.105 : renamed the variable aCollection for aCollectionOfEntities
2.106 : comment adjustement '.
		spec author: 'AlexandreBergel'.
		spec timestamp: '6/20/2011 08:51'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.30';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.68';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.20';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-SantiagoVidal.37';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.9';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.35';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.13';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-SantiagoVidal.25';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.7';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.4';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.28';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.20';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.80';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2107: spec
	<version: '2.107' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.106 : comment adjustement 
2.107 : Fixed  Issue 649:	PNG, BMP, GIF exports do not work anymore in Mondrian'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '6/20/2011 12:49'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.30';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.68';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.20';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-SantiagoVidal.37';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.9';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.35';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.13';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-SantiagoVidal.25';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.7';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.4';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.28';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.21';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.81';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2108: spec
	<version: '2.108' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.107 : Fixed  Issue 649:	PNG, BMP, GIF exports do not work anymore in Mondrian
2.108 : better export. Now it handles streams
2.108 : Added new metrics on Behavior. Added new examples on visual indicator. Cleaned a bit MORoot. Improved the drag and drop'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '6/27/2011 23:28'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.30';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.69';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.20';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-SantiagoVidal.37';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.36';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.13';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-SantiagoVidal.25';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.7';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.4';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.29';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.23';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.82';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2109: spec
	<version: '2.109' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.108 : Added new metrics on Behavior. Added new examples on visual indicator. Cleaned a bit MORoot. Improved the drag and drop
2.109 : Small commit from Santiago on the visitor'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '6/28/2011 10:21'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.30';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.69';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.20';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-SantiagoVidal.37';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.36';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.13';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-SantiagoVidal.26';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.7';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.4';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.29';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.23';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.82';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version210: spec 
        <version: '2.10' imports: #('2.5-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.3'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.22'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.8'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.9'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.17'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.7'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.8'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.3'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.3'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.1'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.9'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.10'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.27'.
			spec package: 'Mondrian-Interaction' with: 'Mondrian-Interaction-AlexandreBergel.1'.
			spec package: 'Mondrian-Animation' with: 'Mondrian-Animation-AlexandreBergel.1'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2110: spec
	<version: '2.110' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.109 : Small commit from Santiago on the visitor
2.110 : - minor refactoring in the core in the display methods. - added extra package in the easel. - moved some example in the mondrianextra package. - moved the class visitor to compute method metrics'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '7/7/2011 13:58'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.30';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.71';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.20';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.38';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.36';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.13';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.27';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.8';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.4';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.30';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.23';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.82';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2111: spec
	<version: '2.111' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.110 : - minor refactoring in the core in the display methods. - added extra package in the easel. - moved some example in the mondrianextra package. - moved the class visitor to compute method metrics
2.111 : merged with Doru and Santiago improvement'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '7/7/2011 14:03'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.30';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.71';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.20';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.38';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.36';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.13';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.28';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.9';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.4';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.30';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.23';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.82';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2112: spec
	<version: '2.112' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.111 : merged with Doru and Santiago improvement
2.112 :Moved missing method extension. Mondrian should now work in a Core1.3'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '7/7/2011 14:08'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.30';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.71';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.20';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.38';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.36';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.13';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.29';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.9';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.4';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.31';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.23';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.82';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2113: spec
	<version: '2.113' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.112 :Moved missing method extension. Mondrian should now work in a Core1.3
2.113 : Cleaning Mondrian a bit'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '7/7/2011 14:24'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.30';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.71';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.20';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.38';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.36';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.13';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.29';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.9';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.4';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.31';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.23';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.83';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2114: spec
	<version: '2.114' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.113 : Cleaning Mondrian a bit'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '7/7/2011 14:25'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.30';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.71';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.20';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.38';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.36';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.13';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.29';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.9';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.4';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.31';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.23';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.83';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2115: spec
	<version: '2.115' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.114 : Not sure that the previous commit was properly realized
2.115 : Merged with the last improvement of Doru about the normalizer. Added a new example thanks to Juan Pablo''s question'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '7/12/2011 23:40'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.30';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.71';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.20';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.38';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.36';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.13';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.29';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.9';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.32';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.23';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.85';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2116: spec
	<version: '2.116' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.115 : Merged with the last improvement of Doru about the normalizer. Added a new example thanks to Juan Pablo''s question
2.116 : popupText for edges'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '7/21/2011 17:16'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.30';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.71';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-simondenier.21';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.38';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.36';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.13';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.29';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.9';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.34';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-VeronicaUquillas.25';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.85';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2117: spec
	<version: '2.117' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.116 : popupText for edges
2.117 : Fixed bug http://code.google.com/p/moose-technology/issues/detail?id=574'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/2/2011 17:40'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.31';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.71';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-simondenier.21';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.38';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.37';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.13';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.29';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.9';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.34';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-VeronicaUquillas.25';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.86';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2118: spec
	<version: '2.118' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.117 : Fixed bug http://code.google.com/p/moose-technology/issues/detail?id=574
2.118 : bug fixed related to highlightWhenOver: (Thanks Vanessa!!)'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/21/2011 13:10'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.31';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.71';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-simondenier.21';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.38';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.37';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.14';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.29';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.9';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.34';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-VeronicaUquillas.25';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.86';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2119: spec
	<version: '2.119' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.118 : bug fixed related to highlightWhenOver: (Thanks Vanessa!!)
2.119 : Committed Issue 681 in moose-technology: SubclassResponsibility: a  JPEGReadWriter had the subclass responsibility to implement #nextPutImage: and Vanessa fix'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/8/2011 09:45'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.31';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.71';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-simondenier.21';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.38';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.37';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.15';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.29';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.9';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.34';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-TudorGirba.26';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.86';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version211: spec 
        <version: '2.11' imports: #('2.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.3'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.30'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.9'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.9'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.19'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.8'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.9'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.4'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.3'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.1'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.9'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.11'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.31'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2120: spec
	<version: '2.120' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.119 : Committed Issue 681 in moose-technology: SubclassResponsibility: a  JPEGReadWriter had the subclass responsibility to implement #nextPutImage: and Vanessa fix
2.120 : Comments of edgesFrom:'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/12/2011 11:25'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.31';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.72';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-simondenier.21';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.12';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.38';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.37';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.15';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.29';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.9';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.34';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-TudorGirba.26';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.86';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2121: spec
	<version: '2.121' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.120 : Comments of edgesFrom:
2.121 : Removed transparency when exporting'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/12/2011 12:04'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.31';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.72';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-simondenier.21';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.12';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.38';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.37';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.15';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.29';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.9';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.34';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.27';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.86';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2122: spec
	<version: '2.122' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.121 : Removed transparency when exporting
2.122 : Removed the class UMLClassDiagram and its subclass '.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/13/2011 16:03'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.31';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.72';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-simondenier.21';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.12';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.38';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.37';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.15';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.29';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.9';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.35';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.27';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.86';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2123: spec
	<version: '2.123' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.122 : Removed the class UMLClassDiagram and its subclass 
2.123 : Removed the abort message when canceling an export'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/14/2011 09:37'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.31';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.72';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-simondenier.21';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.12';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.38';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.37';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.15';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.29';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.9';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.35';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.28';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.86';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2124: spec
	<version: '2.124' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.123 : Removed the abort message when canceling an export
2.124 : minor cleaning '.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/28/2011 12:17'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-TudorGirba.29';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.31';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.72';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-simondenier.21';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.12';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.38';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.37';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.15';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.29';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.9';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.35';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.29';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.86';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2125: spec
	<version: '2.125' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.124 : minor cleaning 
2.125 : fix for Pharo 1.4. We can now drag and drop a canvas without problem'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/30/2011 12:36'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.31';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.72';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-simondenier.21';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.12';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.38';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.37';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.15';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.30';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.9';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.35';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.30';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.86';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2126: spec
	<version: '2.126' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.125 : fix for Pharo 1.4. We can now drag and drop a canvas without problem
2.126 : Added addEdgeFromNode: nodes first toNode: nodes second. and example for MOVerticalLineWithTimelineLayout '.
		spec author: 'AlexandreBergel'.
		spec timestamp: '10/3/2011 11:14'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.31';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.73';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.22';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.12';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.38';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.37';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.15';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.30';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.9';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.36';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.30';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.87';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2127: spec
	<version: '2.127' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.126 : Added addEdgeFromNode: nodes first toNode: nodes second. and example for MOVerticalLineWithTimelineLayout 
2.127 : Added if:color: if:width: on MOLineShape'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '10/4/2011 09:04'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.31';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.74';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.22';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.13';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.38';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.38';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.15';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.30';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.9';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.37';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.30';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.87';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2128: spec
	<version: '2.128' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.127 : Added if:color: if:width: on MOLineShape
2.128 : tabulation are now replaced by white spaces'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '10/20/2011 18:34'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.31';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.74';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.22';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.13';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.38';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.39';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.15';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.30';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.9';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.37';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.30';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.88';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2129: spec
	<version: '2.129' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.128 : tabulation are now replaced by white spaces
2.129 : Added low and high boundary to linearfillColor'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '11/8/2011 20:40'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.31';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.74';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.22';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.13';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.38';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.39';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.15';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.30';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.10';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.38';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.30';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.88';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version212: spec
	<version: '2.1.2' imports: #('2.2-baseline')>

	spec for: #common do: [
		spec author: 'DaleHenrichs'.
		spec timestamp: '11/24/2010 08:13'.
		spec blessing: #development.
		spec
			project: 'Shout' with: '1.1';
			project: 'ProfStef' with: '1.1';
			project: 'HealthReportProducer' with: '0.1-baseline'.
		spec
			package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.1';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.5';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.1';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.6';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.5';
			package: 'Mondrian-Interaction' with: 'Mondrian-Interaction-AlexandreBergel.1';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.2';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.1';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.1';
			package: 'Mondrian-Animation' with: 'Mondrian-Animation-AlexandreBergel.1';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.3';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.1';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.3';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-tg.5';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.9'.].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2130: spec
	<version: '2.130' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.129 : Added low and high boundary to linearfillColor
2.130 : Worked on the TreeMapLayout'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '11/16/2011 09:56'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-TudorGirba.29';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.31';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.74';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.23';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.13';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.38';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.39';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.15';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.30';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.10';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.38';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.30';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.89';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2131: spec
	<version: '2.131' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.130 : Worked on the TreeMapLayout
2.131 : worked on MOHorizontalDominanceTreeWithTimelineLayout. Added a test about it'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '11/16/2011 13:56'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.8';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-TudorGirba.29';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.31';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.74';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.24';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.13';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.38';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.39';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.15';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.30';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.10';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.38';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.30';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.90';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2132: spec
	<version: '2.132' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.131 : worked on MOHorizontalDominanceTreeWithTimelineLayout. Added a test about it
2.132 : http://code.google.com/p/moose-technology/issues/detail?id=594   Fixed'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '11/17/2011 21:52'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.8';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-TudorGirba.29';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.31';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.74';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.24';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.13';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.38';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.39';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.16';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.30';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.10';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.38';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.30';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.90';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2133: spec
	<version: '2.133' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.132 : http://code.google.com/p/moose-technology/issues/detail?id=594   Fixed
2.133 : fixed the load EyeSee command and removed junk code'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '11/21/2011 16:11'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.8';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-TudorGirba.29';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.32';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.74';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.24';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.13';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.39';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.39';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.16';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.30';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.10';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.38';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.30';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.90';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2134: spec
	<version: '2.134' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.133 : fixed the load EyeSee command and removed junk code
2.134 : Use Mondrian-ComplexShape-AlexandreBergel.31 instead of version 32. All the tests are red'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '11/22/2011 09:51'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.8';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-TudorGirba.29';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.31';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.74';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.24';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.13';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.39';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.39';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.16';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.30';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.10';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.38';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.30';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.90';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2135: spec
	<version: '2.135' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.134 : Use Mondrian-ComplexShape-AlexandreBergel.31 instead of version 32. All the tests are red
2.135 : Overriding the previous version. '.
		spec author: 'AlexandreBergel'.
		spec timestamp: '11/22/2011 10:40'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.8';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-TudorGirba.29';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.33';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.74';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.24';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.13';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.39';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.39';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.16';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.30';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.10';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.38';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.30';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.90';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2136: spec
	<version: '2.136' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.135 : Overriding the previous version. 
2.136 : minor reorganozation of methods'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '11/23/2011 17:57'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.8';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-TudorGirba.29';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.33';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.74';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.24';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.13';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.39';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.39';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.16';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.31';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.10';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.38';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.30';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.90';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2137: spec
	<version: '2.137' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.136 : minor reorganozation of methods
2.137 : Improvement on MOAnnouncer from Veronica'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '11/29/2011 08:44'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.8';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-TudorGirba.29';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.33';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.74';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.24';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.13';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.39';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.39';
			package: 'Mondrian-Events' with: 'Mondrian-Events-VeronicaUquillas.17';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.31';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.10';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.38';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.30';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.90';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2138: spec
	<version: '2.138' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.137 : Improvement on MOAnnouncer from Veronica
2.138 : Added a new example on updating edge shape. Fixed a bugelated to it and added a test'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '12/4/2011 11:21'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.8';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-TudorGirba.30';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.33';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.75';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.24';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.13';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.39';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.39';
			package: 'Mondrian-Events' with: 'Mondrian-Events-TudorGirba.18';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.31';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.10';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.39';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.30';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.91';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2139: spec
	<version: '2.139' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.138 : Added a new example on updating edge shape. Fixed a bugelated to it and added a test
2.139 : Added few comments'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '12/14/2011 11:03'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.8';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-TudorGirba.30';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.33';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.76';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.24';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.13';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.39';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.39';
			package: 'Mondrian-Events' with: 'Mondrian-Events-TudorGirba.18';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.31';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.10';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.39';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.30';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.91';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version213: spec 
        <version: '2.13' imports: #('2.5-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.3'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.24'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.9'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.9'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.17'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.7'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.8'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.4'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.3'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.1'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.9'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.11'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.28'.
			spec package: 'Mondrian-Interaction' with: 'Mondrian-Interaction-AlexandreBergel.2'.
			spec package: 'Mondrian-Animation' with: 'Mondrian-Animation-AlexandreBergel.2'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2140: spec
	<version: '2.140' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.139 : Added few comments
2.140 : Added Behavior>>referencedClasses used in the Pharo by Example 2'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '12/27/2011 10:17'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.8';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-TudorGirba.30';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.33';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.77';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.24';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.13';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.39';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.39';
			package: 'Mondrian-Events' with: 'Mondrian-Events-TudorGirba.18';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.31';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.10';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.39';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.30';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.92';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2141: spec
	<version: '2.141' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.140 : Added Behavior>>referencedClasses used in the Pharo by Example 2
2.141 : fixed the update command for MOEasel (thanks Ben for the suggestion)'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '1/2/2012 17:28'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.8';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-TudorGirba.30';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.33';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.77';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.24';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.13';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.40';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.39';
			package: 'Mondrian-Events' with: 'Mondrian-Events-TudorGirba.18';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.31';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.10';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.39';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.30';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.92';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2142: spec
	<version: '2.142' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.141 : fixed the update command for MOEasel (thanks Ben for the suggestion)
2.142 : Edges can now have a popup. Thanks Veronica!!'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '1/3/2012 11:37'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.8';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-TudorGirba.30';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.33';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.77';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.24';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.13';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.40';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.39';
			package: 'Mondrian-Events' with: 'Mondrian-Events-TudorGirba.18';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.31';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.10';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-VeronicaUquillas.40';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-VeronicaUquillas.31';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.92';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2143: spec
	<version: '2.143' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.142 : Edges can now have a popup. Thanks Veronica!!
2.143 : Added an example with labelled nodes'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '1/9/2012 12:06'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.8';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-TudorGirba.30';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.33';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.77';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.24';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.13';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.40';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.39';
			package: 'Mondrian-Events' with: 'Mondrian-Events-TudorGirba.18';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.31';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.10';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.41';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-VeronicaUquillas.31';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.92';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2144: spec
	<version: '2.144' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.143 : Added an example with labelled nodes
2.144 : Added a new example for remembering the node position. This should answer the request of Usman'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '1/16/2012 10:55'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.8';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-TudorGirba.30';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.33';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.77';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.24';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.13';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.40';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.39';
			package: 'Mondrian-Events' with: 'Mondrian-Events-TudorGirba.18';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.31';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.10';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.42';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-VeronicaUquillas.31';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.92';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2145: spec
	<version: '2.145' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.144 : Added a new example for remembering the node position. This should answer the request of Usman
2.145 : Commented MONode'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '3/2/2012 09:25'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.8';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-TudorGirba.32';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.33';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.78';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.24';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.13';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.40';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.39';
			package: 'Mondrian-Events' with: 'Mondrian-Events-TudorGirba.18';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.31';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.10';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.42';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-VeronicaUquillas.31';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.92';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2146: spec
	<version: '2.146' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.145 : Commented MONode
2.146 : worked on the tests to make them green'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '3/20/2012 23:19'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-TudorGirba.32';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.33';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.78';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.24';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.13';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.40';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.39';
			package: 'Mondrian-Events' with: 'Mondrian-Events-TudorGirba.18';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.31';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.10';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.42';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-VeronicaUquillas.31';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.93';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2147: spec
	<version: '2.147' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.146 : worked on the tests to make them green
2.147 : Pharo ground is seriously shaking those days... popupText: does not use the Pharo popup, it instead uses popupView:'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '3/21/2012 00:07'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-TudorGirba.32';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.33';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.78';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.24';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.13';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.40';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.39';
			package: 'Mondrian-Events' with: 'Mondrian-Events-TudorGirba.18';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.31';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.10';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.42';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.32';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.93';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2148: spec
	<version: '2.148' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.147 : Pharo ground is seriously shaking those days... popupText: does not use the Pharo popup, it instead uses popupView:
2.148 : Make a test not as stric as it should be, in order to cope with the recent change in the collection'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '3/22/2012 08:26'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-TudorGirba.32';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.33';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.78';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.24';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.13';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.40';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.39';
			package: 'Mondrian-Events' with: 'Mondrian-Events-TudorGirba.18';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.31';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.10';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.42';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.32';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.94';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2149: spec
	<version: '2.149' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.148 : Make a test not as stric as it should be, in order to cope with the recent change in the collection
2.149 : Removed the hidden view field in MOViewRendererTest'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '3/26/2012 09:08'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-TudorGirba.32';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.33';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.78';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.24';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.13';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.40';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.39';
			package: 'Mondrian-Events' with: 'Mondrian-Events-TudorGirba.18';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.31';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.10';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.42';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.32';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.95';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version214: spec 
        <version: '2.14' imports: #('2.5-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.3'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.25'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.9'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.9'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.17'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.7'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.8'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.4'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.3'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.1'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.9'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.11'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.29'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2150: spec
	<version: '2.150' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.149 : Removed the hidden view field in MOViewRendererTest
2.150 : Relaxing some contraints in the test to please the changes in the collection hierarchy'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '3/26/2012 16:17'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-TudorGirba.32';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.33';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.78';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.24';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.13';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.40';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.39';
			package: 'Mondrian-Events' with: 'Mondrian-Events-TudorGirba.18';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.31';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.10';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.42';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.32';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.96';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version2151: spec
	<version: '2.151' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.150 : Relaxing some contraints in the test to please the changes in the collection hierarchy
2.151 : Fixed the test failing tests'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '3/27/2012 08:52'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-TudorGirba.32';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.33';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.78';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.24';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.13';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.40';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.39';
			package: 'Mondrian-Events' with: 'Mondrian-Events-TudorGirba.18';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.31';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.10';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.42';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.33';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.97';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: 'AlexandreBergel 3/28/2012 18:35'!
version2152: spec
	<version: '2.152' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.151 : Fixed the test failing tests
2.152 : fixed a test'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '3/28/2012 18:35'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-TudorGirba.32';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.33';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.78';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.24';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.13';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.40';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.39';
			package: 'Mondrian-Events' with: 'Mondrian-Events-TudorGirba.18';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.31';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.10';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.42';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.33';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.98';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: 'AlexandreBergel 4/4/2012 11:45'!
version2153: spec
	<version: '2.153' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.152 : fixed a test
2.153 : added a tikz unit tests'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '4/4/2012 11:45'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-TudorGirba.32';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.33';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.78';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.24';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.13';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.40';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.39';
			package: 'Mondrian-Events' with: 'Mondrian-Events-TudorGirba.18';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.31';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.10';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.42';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.33';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.99';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: 'AlexandreBergel 4/15/2012 21:26'!
version2154: spec
	<version: '2.154' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.153 : added a tikz unit tests
2.154 : Renamed some methods, thanks Ben!!'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '4/15/2012 21:26'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-TudorGirba.32';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.33';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.79';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.24';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.13';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.40';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.39';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.19';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.31';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.10';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-BenComan.43';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.34';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.100';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: 'AlexandreBergel 5/2/2012 12:10'!
version2155: spec
	<version: '2.155' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.154 : Renamed some methods, thanks Ben!!
2.155 : Added colored highlight'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '5/2/2012 12:10'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.1';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-TudorGirba.32';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.33';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.79';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.24';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.13';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.40';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.10';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.39';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.20';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.31';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.10';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-BenComan.43';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.34';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.100';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: 'AlexandreBergel 5/16/2012 17:54'!
version2156: spec
	<version: '2.156' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.155 : Added colored highlight
2.156 : Merged with the code of Ben.
2.156 : bug fixed that reorder the nodes when laying out with the tree layout. Thanks Ben and Doru'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '5/16/2012 17:54'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.1';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-TudorGirba.32';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.33';
			package: 'Mondrian-Core' with: 'Mondrian-Core-BenComan.80';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-TudorGirba.25';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.13';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-EstebanLorenzano.41';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-TudorGirba.12';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.39';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.23';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.31';
			package: 'Mondrian-Util' with: 'Mondrian-Util-FabrizioPerin.11';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-BenComan.44';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-BenComan.37';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.102';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: 'AlexandreBergel 6/4/2012 19:19'!
version2157: spec
	<version: '2.157' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.156 : bug fixed that reorder the nodes when laying out with the tree layout. Thanks Ben and Doru
2.157 : fixed a failing test testScope3 '.
		spec author: 'AlexandreBergel'.
		spec timestamp: '6/4/2012 19:19'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.1';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-TudorGirba.32';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.33';
			package: 'Mondrian-Core' with: 'Mondrian-Core-TudorGirba.81';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-TudorGirba.25';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.13';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-EstebanLorenzano.41';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-TudorGirba.12';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.39';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.23';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.31';
			package: 'Mondrian-Util' with: 'Mondrian-Util-FabrizioPerin.11';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-BenComan.44';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-BenComan.37';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.105';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: 'TudorGirba 6/8/2012 22:23'!
version2158: spec
	<version: '2.158' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.157 : fixed a failing test testScope3 
2.158 : Moved Easel into the Tools world menu'.
		spec author: 'TudorGirba'.
		spec timestamp: '6/8/2012 22:23'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.1';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-TudorGirba.32';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.33';
			package: 'Mondrian-Core' with: 'Mondrian-Core-TudorGirba.81';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-TudorGirba.25';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.13';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-TudorGirba.42';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-TudorGirba.12';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.39';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.23';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.31';
			package: 'Mondrian-Util' with: 'Mondrian-Util-FabrizioPerin.11';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-BenComan.44';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-BenComan.37';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.105';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: 'AlexandreBergel 8/8/2012 08:51'!
version2159: spec
	<version: '2.159' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.158 : Moved Easel into the Tools world menu
2.159 : fixed the failing tests'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/8/2012 08:51'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.1';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-TudorGirba.32';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.33';
			package: 'Mondrian-Core' with: 'Mondrian-Core-TudorGirba.81';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-TudorGirba.25';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.13';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-TudorGirba.42';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-TudorGirba.12';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.39';
			package: 'Mondrian-Events' with: 'Mondrian-Events-BenComan.24';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.31';
			package: 'Mondrian-Util' with: 'Mondrian-Util-FabrizioPerin.11';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-BenComan.46';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-BenComan.38';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.106';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version215: spec 
        <version: '2.15' imports: #('2.5-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.3'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.26'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.9'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.9'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.17'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.7'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.8'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.4'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.3'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.1'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.9'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.11'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.29'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: 'AlexandreBergel 9/27/2012 11:49'!
version2160: spec
	<version: '2.160' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.159 : fixed the failing tests
2.160 : Bug with arrowed lines. Thanks Veronica to have spotted it!!'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/27/2012 11:49'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.1';
			project: 'ProfStef' with: '1.9';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-TudorGirba.32';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.33';
			package: 'Mondrian-Core' with: 'Mondrian-Core-TudorGirba.81';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-TudorGirba.25';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.13';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-TudorGirba.42';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-TudorGirba.12';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.39';
			package: 'Mondrian-Events' with: 'Mondrian-Events-BenComan.24';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.31';
			package: 'Mondrian-Util' with: 'Mondrian-Util-FabrizioPerin.11';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-BenComan.46';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.5';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-BenComan.38';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.106';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: 'AlexandreBergel 9/27/2012 12:21'!
version2161: spec
	<version: '2.161' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.160 : Bug with arrowed lines. Thanks Veronica to have spotted it!!'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/27/2012 12:21'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.1';
			project: 'ProfStef' with: '1.9';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-TudorGirba.32';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.33';
			package: 'Mondrian-Core' with: 'Mondrian-Core-TudorGirba.81';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-TudorGirba.25';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.13';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-TudorGirba.42';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-TudorGirba.12';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.39';
			package: 'Mondrian-Events' with: 'Mondrian-Events-BenComan.24';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.31';
			package: 'Mondrian-Util' with: 'Mondrian-Util-FabrizioPerin.11';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-TudorGirba.5';
			package: 'Mondrian-Example' with: 'Mondrian-Example-BenComan.46';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.5';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-BenComan.38';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.106';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version216: spec 
        <version: '2.16' imports: #('2.5-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.3'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.27'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.9'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.9'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.17'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.8'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.8'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.4'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.3'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.1'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.9'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.11'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.30'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version217: spec 
        <version: '2.17' imports: #('2.5-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.3'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.29'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.9'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.9'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.17'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.8'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.8'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.4'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.3'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.1'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.9'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.11'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.30'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version218: spec 
        <version: '2.18' imports: #('2.5-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.3'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.30'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.9'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.9'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.17'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.8'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.8'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.4'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.3'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.1'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.9'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.11'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.30'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version219: spec 
        <version: '2.19' imports: #('2.5-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.3'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.30'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.9'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.9'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.17'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.8'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.9'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.4'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.3'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.1'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.9'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.11'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.30'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version220: spec 
        <version: '2.20' imports: #('2.5-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.3'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.30'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.9'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.9'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.18'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.8'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.9'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.4'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.3'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.1'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.9'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.11'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.30'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version221: spec 
        <version: '2.21' imports: #('2.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.3'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.30'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.9'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.9'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.18'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.8'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.9'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.4'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.3'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.1'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.9'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.11'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.30'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version222: spec 
        <version: '2.22' imports: #('2.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.3'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.30'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.9'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.9'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.20'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.8'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.9'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.4'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.3'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.1'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.9'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.11'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.31'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version223: spec 
        <version: '2.23' imports: #('2.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.3'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.31'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.9'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.9'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.20'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.8'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.9'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.4'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.3'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.1'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.9'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.11'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.32'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version224: spec 
        <version: '2.24' imports: #('2.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.3'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.31'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.9'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.9'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.20'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.8'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.9'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.4'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.3'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.2'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.9'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.11'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.33'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version225: spec 
        <version: '2.25' imports: #('2.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.3'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.31'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.9'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.9'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.20'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.8'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.9'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.4'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.3'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.2'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.9'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.11'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.34'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version226: spec 
        <version: '2.26' imports: #('2.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.3'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.31'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.9'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.9'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.20'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.8'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.9'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.5'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.3'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.2'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.9'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.11'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.35'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version227: spec 
        <version: '2.27' imports: #('2.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.3'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.31'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.9'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.9'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.20'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.8'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.9'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.5'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.3'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.9'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.11'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.36'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version228: spec 
        <version: '2.28' imports: #('2.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.3'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.31'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.9'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.9'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.20'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.8'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.9'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.5'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.3'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.10'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.11'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.36'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version229: spec 
        <version: '2.29' imports: #('2.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.5'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.31'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.9'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.9'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.20'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.8'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.9'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.6'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.12'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.12'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.37'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version22: spec 
        <version: '2.2' imports: #('2.2-baseline')>

        spec for: #common do: [
			spec author: 'Alexandre Bergel'.
			spec timestamp: '12/28/2010 10:30'.
			spec blessing: #development.

			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.2'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.19'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.3'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.9'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.16'.
			spec package: 'Mondrian-Interaction' with: 'Mondrian-Interaction-AlexandreBergel.1'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.6'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.6'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-lr.2'.
			spec package: 'Mondrian-Animation' with: 'Mondrian-Animation-AlexandreBergel.1'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.3'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.1'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.6'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.9'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.22'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version230: spec 
        <version: '2.30' imports: #('2.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.5'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.32'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.9'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.9'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.20'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.9'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.9'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.6'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.12'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.12'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.38'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version231: spec 
        <version: '2.31' imports: #('2.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.5'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.33'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.9'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.9'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.20'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.9'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.9'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.6'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.12'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.12'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.39'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version232: spec 
        <version: '2.32' imports: #('2.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.5'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.34'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.9'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.9'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.20'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.9'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.9'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.6'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.12'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.12'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.39'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version233: spec 
        <version: '2.33' imports: #('2.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.5'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.35'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.9'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.9'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.20'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.9'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.9'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.6'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.12'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.12'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.39'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version234: spec 
        <version: '2.34' imports: #('2.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.5'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.35'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.9'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.20'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.9'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.9'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.6'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.12'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.12'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.39'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version235: spec 
        <version: '2.35' imports: #('2.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.5'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.35'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.9'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.20'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.10'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.9'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.6'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.12'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.12'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.39'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version236: spec 
        <version: '2.36' imports: #('2.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.5'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.35'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.10'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.20'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.10'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.9'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.6'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.12'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.12'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.40'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version237: spec 
        <version: '2.37' imports: #('2.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.5'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.35'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.10'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.21'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.10'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.9'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.6'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.12'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.12'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.40'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version238: spec 
        <version: '2.38' imports: #('2.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-TudorGirba.6'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.35'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.10'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.21'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.10'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.9'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.6'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.12'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.12'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.40'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version239: spec 
        <version: '2.39' imports: #('2.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-TudorGirba.6'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.36'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.10'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.21'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.10'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.9'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.6'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.13'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.12'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.41'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version23: spec 
        <version: '2.3' imports: #('2.3-baseline')>

        spec for: #common do: [
			spec author: 'Alexandre Bergel'.
			spec timestamp: '12/28/2010 10:30'.
			spec blessing: #development.

			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.2'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.19'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.3'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.9'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.16'.
			spec package: 'Mondrian-Interaction' with: 'Mondrian-Interaction-AlexandreBergel.1'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.6'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.6'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-lr.2'.
			spec package: 'Mondrian-Animation' with: 'Mondrian-Animation-AlexandreBergel.1'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.3'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.1'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.6'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.9'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.22'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version240: spec 
        <version: '2.40' imports: #('2.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-TudorGirba.6'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.36'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.11'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.22'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.10'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.9'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.7'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.14'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.12'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.42'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version241: spec
	<version: '2.41' imports: #('2.6-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'New version'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '1/20/2011 11:31'.
		spec 
			project: 'Shout' with: '1.2.2';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.0-beta.1'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-TudorGirba.6';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.37';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.11';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.22';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.10';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.9';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.7';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.14';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.12';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.43'.].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version242: spec
	<version: '2.42' imports: #('2.6-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'New version'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '1/21/2011 10:38'.
		spec 
			project: 'Shout' with: '1.2.2';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.1'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-TudorGirba.6';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.37';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.11';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.22';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.11';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.9';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.7';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.14';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.12';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.43'.].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version243: spec 
        <version: '2.43' imports: #('2.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-TudorGirba.6'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.37'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.12'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.22'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.11'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.9'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.7'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.15'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.12'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.43'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version244: spec 
        <version: '2.44' imports: #('2.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-TudorGirba.6'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.38'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.12'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.23'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.4'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.11'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.9'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.7'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.15'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.12'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.44'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version245: spec 
        <version: '2.45' imports: #('2.7-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-TudorGirba.6'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.38'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.12'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.23'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.4'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.11'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.9'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.7'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.15'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.12'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.44'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version246: spec
	<version: '2.46' imports: #('2.7-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'New version'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '2/15/2011 23:50'.
		spec 
			project: 'Shout' with: '1.2.2';
			project: 'ProfStef' with: '1.5';
			project: 'HealthReportProducer' with: '1.1'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-TudorGirba.6';
			package: 'Mondrian-Core' with: 'Mondrian-Core-TudorGirba.39';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.12';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-TudorGirba.24';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-TudorGirba.5';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.11';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.9';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.7';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.15';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.12';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.46'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version247: spec
	<version: '2.47' imports: #('2.7-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'New version'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '2/16/2011 19:34'.
		spec 
			project: 'Shout' with: '1.2.2';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.0-beta.1'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-TudorGirba.6';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.40';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.12';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-TudorGirba.24';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-TudorGirba.5';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.11';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.10';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.7';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.15';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.12';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.47'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version248: spec
	<version: '2.48' imports: #('2.8-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'New version'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '2/16/2011 20:01'.
		spec 
			project: 'Shout' with: '1.2.2';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.2'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-TudorGirba.6';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.40';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.12';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-TudorGirba.24';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-TudorGirba.5';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.11';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.10';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.7';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.15';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.12';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.47'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version249: spec
	<version: '2.49' imports: #('2.8-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'New version'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '2/17/2011 10:00'.
		spec 
			project: 'Shout' with: '1.2.2';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.2'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-TudorGirba.6';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.40';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.12';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.25';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-TudorGirba.5';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.11';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.10';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.7';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.15';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.12';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.47'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version24: spec 
        <version: '2.4' imports: #('2.3-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.2'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.20'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.4'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.9'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.17'.
			spec package: 'Mondrian-Interaction' with: 'Mondrian-Interaction-AlexandreBergel.1'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.6'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.7'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.3'.
			spec package: 'Mondrian-Animation' with: 'Mondrian-Animation-AlexandreBergel.1'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.3'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.1'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.6'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.10'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.24'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version250: spec
	<version: '2.50' imports: #('2.8-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'New version'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '2/18/2011 11:47'.
		spec 
			project: 'Shout' with: '1.2.2';
			project: 'ProfStef' with: '1.5';
			project: 'HealthReportProducer' with: '1.1'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-TudorGirba.6';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.41';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.12';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.25';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-TudorGirba.5';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.11';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.10';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.7';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.15';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.12';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.47'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version251: spec
	<version: '2.51' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'New version'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '2/21/2011 13:59'.
		spec 
			project: 'Shout' with: '1.2.2';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.1'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-TudorGirba.6';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.42';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.12';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.26';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-TudorGirba.5';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.11';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.10';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.7';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.16';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.12';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.47';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.1'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version252: spec
	<version: '2.52' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'New version'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '2/22/2011 16:41'.
		spec 
			project: 'Shout' with: '1.2.2';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.2'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-TudorGirba.6';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.42';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.12';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.26';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-TudorGirba.5';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.11';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.10';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.7';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.16';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.12';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.47';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.2'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version253: spec
	<version: '2.53' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'New version'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '2/25/2011 11:54'.
		spec 
			project: 'Shout' with: '1.2.2';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.3'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-TudorGirba.6';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.42';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.12';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.26';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-TudorGirba.5';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.11';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.10';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.7';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.16';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.12';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.47';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.2'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version254: spec
	<version: '2.54' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'New version
Fixed Issue 498:	the sizes of the rectangles into built shape are the same
	
Merged with Mondrian-Core-TudorGirba.44 and Mondrian-Easel-Ivan_Rojas.27'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '4/6/2011 17:00'.
		spec 
			project: 'Shout' with: '1.2.2';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.3'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.7';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.45';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.12';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-Ivan_Rojas.27';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-TudorGirba.5';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.12';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.10';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.7';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.16';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.12';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.48';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version255: spec
	<version: '2.55' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'Fixed: Issue 572:	Nodes with complex shapes do not move with the parent node'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '4/6/2011 19:25'.
		spec 
			project: 'Shout' with: '1.2.2';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.8';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.46';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.12';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-Ivan_Rojas.27';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-TudorGirba.5';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.12';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.10';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.7';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.16';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.12';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.49';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version256: spec
	<version: '2.56' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'Fixed: Issue 572:	Nodes with complex shapes do not move with the parent node
Fixed Issue 574:	Nodes with complex shapes do not position the children nodes with complex shapes properly'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '4/7/2011 22:27'.
		spec 
			project: 'Shout' with: '1.2.2';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.9';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.47';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.13';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-Ivan_Rojas.27';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-TudorGirba.5';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.13';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.10';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.7';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.16';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.12';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.50';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version257: spec
	<version: '2.57' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'Fixed a bug I found when trying to address the issue 574'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '4/8/2011 12:41'.
		spec 
			project: 'Shout' with: '1.2.2';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.9';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.47';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.13';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-Ivan_Rojas.27';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-TudorGirba.5';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.14';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.10';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.7';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.16';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.12';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.51';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version258: spec
	<version: '2.58' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'Improvement of the form shape and friends '.
		spec author: 'AlexandreBergel'.
		spec timestamp: '4/9/2011 08:34'.
		spec 
			project: 'Shout' with: '1.2.2';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.10';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.47';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.13';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-Ivan_Rojas.27';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-TudorGirba.5';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.15';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.10';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.7';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.16';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.12';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.52';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version259: spec
	<version: '2.59' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'Fixed issue 574: http://code.google.com/p/moose-technology/issues/detail?id=574'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '4/9/2011 16:29'.
		spec 
			project: 'Shout' with: '1.2.2';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.11';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.48';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.13';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-Ivan_Rojas.27';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-TudorGirba.5';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.16';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.10';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.7';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.16';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.12';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.53';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version25: spec 
        <version: '2.5' imports: #('2.3-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.2'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.20'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.5'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.9'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.17'.
			spec package: 'Mondrian-Interaction' with: 'Mondrian-Interaction-AlexandreBergel.1'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.6'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.7'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.3'.
			spec package: 'Mondrian-Animation' with: 'Mondrian-Animation-AlexandreBergel.1'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.3'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.1'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.6'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.10'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.24'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version260: spec
	<version: '2.60' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'Increase the coverage of MOEasel (55.26 -> 77.27). Note that one test is yellow (waiting for Doru''s answer)'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '4/11/2011 16:48'.
		spec 
			project: 'Shout' with: '1.2.2';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.12';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.48';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.13';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.28';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.6';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.17';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.10';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.8';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.16';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.12';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.54';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version261: spec
	<version: '2.61' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'Fix issue 576: Border of children depends on another shape in a complex shape
http://code.google.com/p/moose-technology/issues/detail?id=576

'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '4/11/2011 17:52'.
		spec 
			project: 'Shout' with: '1.2.2';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.12';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.49';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.13';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.28';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.6';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.18';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.10';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.8';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.16';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.12';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.55';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version262: spec
	<version: '2.62' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.62 (): Minor refactoring of the easel'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '4/15/2011 10:27'.
		spec 
			project: 'Shout' with: '1.2.2';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.12';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.49';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.13';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.29';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.6';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.18';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.10';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.8';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.16';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.13';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.55';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version263: spec
	<version: '2.63' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'Minor refactoring of the easel
Example for flowLayout and bottomFlowLayout'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '4/15/2011 12:14'.
		spec 
			project: 'Shout' with: '1.2.2';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.12';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.49';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.13';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.29';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.6';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.18';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.10';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.8';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.17';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.13';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.55';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version264: spec
	<version: '2.64' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'Example for flowLayout and bottomFlowLayout
2.64 (): Fixed Issue 577:	ChildrenShape does not get centered
http://code.google.com/p/moose-technology/issues/detail?id=577'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '4/16/2011 10:00'.
		spec 
			project: 'Shout' with: '1.2.2';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.13';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.49';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.13';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.29';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.6';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.19';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.10';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.8';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.17';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.13';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.56';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version265: spec
	<version: '2.65' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.64 (): Fixed Issue 577:	ChildrenShape does not get centered
http://code.google.com/p/moose-technology/issues/detail?id=577
Fix in an assertion. Several tests were yellow because of this.'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '4/17/2011 19:37'.
		spec 
			project: 'Shout' with: '1.2.2';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.14';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.49';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.13';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.29';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.6';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.19';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.10';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.8';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.17';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.13';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.56';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version266: spec
	<version: '2.66' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'Fix in an assertion. Several tests were yellow because of this.
2.66 (): Fixed: Issue 591:	ComplexShape blocks are executed also on children'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '4/18/2011 16:21'.
		spec 
			project: 'Shout' with: '1.2.2';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.14';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.49';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.13';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.29';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.6';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.20';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.10';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.8';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.18';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.13';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.57';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version267: spec
	<version: '2.67' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.66 (): Fixed: Issue 591:	ComplexShape blocks are executed also on children'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '4/18/2011 16:21'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.14';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.49';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.13';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.29';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.6';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.20';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.10';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.8';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.18';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.13';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.57';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version268: spec
	<version: '2.68' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.68 (): added MOShapeSelector>>detailsWithTitle:
2.68: 
	- Fixed Issue 420:	Shape should be properly initialized to be useful without further parameter
	- cleaning'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '4/21/2011 17:25'.
		spec 
			project: 'Shout' with: '1.2.2';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.16';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.50';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.13';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.29';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.7';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.22';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.11';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.8';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.19';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.13';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.58';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version269: spec
	<version: '2.69' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.68: 
	- Fixed Issue 420:	Shape should be properly initialized to be useful without further parameter
	- cleaning
2.70: Minor improvement of a:withNameOnTop:'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '4/24/2011 21:33'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.17';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.50';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.13';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.29';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.7';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.22';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.11';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.8';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.19';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.13';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.58';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version26: spec 
        <version: '2.6' imports: #('2.3-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.2'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.21'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.6'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.9'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.17'.
			spec package: 'Mondrian-Interaction' with: 'Mondrian-Interaction-AlexandreBergel.1'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.7'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.7'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.3'.
			spec package: 'Mondrian-Animation' with: 'Mondrian-Animation-AlexandreBergel.1'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.3'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.1'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.7'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.10'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.25'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version270: spec
	<version: '2.70' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.70: Minor improvement of a:withNameOnTop:
2.71: Minor fix for a Shape. Added a class comment'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '4/25/2011 17:15'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.17';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.51';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.13';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.29';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.7';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.23';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.11';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.8';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.19';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.13';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.58';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version271: spec
	<version: '2.71' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.71: Minor fix for a Shape. Added a class comment
2.72: beginning the documentation effort. Some refactoring '.
		spec author: 'AlexandreBergel'.
		spec timestamp: '4/26/2011 17:18'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.18';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.52';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.13';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.29';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.7';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.24';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.11';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.8';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.19';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.13';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.59';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version272: spec
	<version: '2.72' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.73: added some comments in the layout hierarchy'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '4/26/2011 18:00'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.19';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.52';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.13';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.29';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.7';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.25';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.11';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.8';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.19';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.13';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.60';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version273: spec
	<version: '2.73' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.73: added some comments in the layout hierarchy
2.74: - Commented all the classes of the shape hierarchy. Added examples'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '4/28/2011 14:18'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.19';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.52';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.13';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.10';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.29';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.7';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.26';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.11';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.8';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.20';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.13';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.61';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version274: spec
	<version: '2.74' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.74: - Commented all the classes of the shape hierarchy. Added examples
2.75: continuing the documentation effort.'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '4/28/2011 18:12'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.20';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.53';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.14';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.30';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.7';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.26';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.11';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.8';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.21';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.13';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.61';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version275: spec
	<version: '2.75' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.75: continuing the documentation effort.
2.76: Refactoring, cleaning and commenting'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '4/28/2011 19:14'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.21';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.54';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.14';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.30';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.7';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.27';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.11';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.8';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.21';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.13';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.61';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version276: spec
	<version: '2.76' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.76: Refactoring, cleaning and commenting
2.77: Increasing the amount of comments. Working on MOShape'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '4/28/2011 23:56'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.22';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.55';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.14';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.30';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.7';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.28';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.11';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.9';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.4';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.21';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.13';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.61';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version277: spec
	<version: '2.77' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.77: Increasing the amount of comments. Working on MOShape
2.78: Major effort on documenting source code'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '4/29/2011 17:11'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.22';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.56';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.14';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.30';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.7';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.29';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.11';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.10';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.5';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.22';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.13';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.62';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version278: spec
	<version: '2.78' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.78: Major effort on documenting source code
2.79: Documentation of the core'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '4/30/2011 11:16'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.22';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.57';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.14';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.30';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.7';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.29';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.11';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.10';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.5';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.22';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.13';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.62';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version279: spec
	<version: '2.79' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: '2.79: Documentation of the core
2.80: Fixed Issue 581:	Computing text size . Yeah, it took me some time :-)'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '5/1/2011 14:13'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.22';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.57';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.14';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.30';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.7';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.30';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.11';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.10';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.5';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.23';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.13';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.63';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version27: spec 
        <version: '2.7' imports: #('2.4-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.2'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.21'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.6'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.9'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.17'.
			spec package: 'Mondrian-Interaction' with: 'Mondrian-Interaction-AlexandreBergel.1'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.7'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.7'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.3'.
			spec package: 'Mondrian-Animation' with: 'Mondrian-Animation-AlexandreBergel.1'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.3'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.1'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.7'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.10'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.25'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version280: spec
	<version: '2.80' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.80: Fixed Issue 581:	Computing text size . Yeah, it took me some time :-)
2.81: Added architecture description'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '5/1/2011 23:51'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.22';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.57';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.14';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.30';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.7';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.30';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.11';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.10';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.5';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.23';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.13';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.64';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version281: spec
	<version: '2.81' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.81: Added architecture description
2.82: making a yellow test green for Pharo 1.2 Core. Moved a util method from MondrianArchitecture to a dedicated and independent project '.
		spec author: 'AlexandreBergel'.
		spec timestamp: '5/2/2011 11:49'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.22';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.57';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.14';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.30';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.8';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.30';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.11';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.10';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.5';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.23';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.13';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.65';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version282: spec
	<version: '2.82' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.82: making a yellow test green for Pharo 1.2 Core. Moved a util method from MondrianArchitecture to a dedicated and independent project 
2.83: Working on the architecture'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '5/4/2011 13:49'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.22';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.57';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.14';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.30';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.8';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.30';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.11';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.10';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.5';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-simon_denier.3';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.23';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.13';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.66';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version283: spec
	<version: '2.83' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'Working on the architecture
2.84: cleaning and working on the architecture'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '5/4/2011 15:14'.
		spec 
			project: 'Shout' with: '1.2.2';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.23';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.58';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.15';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.30';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.8';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.31';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.11';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.10';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.5';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.4';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.23';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.13';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.67';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version284: spec
	<version: '2.84' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.84: cleaning and working on the architecture
2.85: cleaning test'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '5/4/2011 15:32'.
		spec 
			project: 'Shout' with: '1.2.2';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.24';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.58';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.15';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.30';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.8';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.31';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.11';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.10';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.5';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.4';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.23';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.13';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.68';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version285: spec
	<version: '2.85' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.85: cleaning test
2.86: very minor cleaning. More on the architecture description'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '5/4/2011 16:25'.
		spec 
			project: 'Shout' with: '1.2.2';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.24';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.58';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.16';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.30';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.8';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.31';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.11';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.10';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.5';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.4';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.23';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.13';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.69';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version286: spec
	<version: '2.86' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.86: very minor cleaning. More on the architecture description
2.87: Improvement of the architecture'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '5/6/2011 18:37'.
		spec 
			project: 'Shout' with: '1.2.2';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.24';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.58';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.16';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.30';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.8';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.31';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.11';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.10';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.5';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.4';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.23';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.13';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.70';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version287: spec
	<version: '2.87' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.87: Improvement of the architecture
2.88: Improving the architecture description'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '5/9/2011 00:00'.
		spec 
			project: 'Shout' with: '1.2.2';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.25';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.58';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.17';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.30';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.8';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.31';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.11';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.10';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.5';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.4';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.23';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.13';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.71';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version288: spec
	<version: '2.88' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.88: Improving the architecture description
2.89: removed wrong dependencies. A lot of odd dep remain :-('.
		spec author: 'AlexandreBergel'.
		spec timestamp: '5/9/2011 09:18'.
		spec 
			project: 'Shout' with: '1.2.2';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.25';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.59';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.17';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.31';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.8';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.31';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.11';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.11';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.5';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.4';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.23';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.13';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.72';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version289: spec
	<version: '2.89' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.89: removed wrong dependencies. A lot of odd dep remain :-(
2.90: Better popup color'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '5/16/2011 10:12'.
		spec 
			project: 'Shout' with: '1.2.2';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.25';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.59';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.17';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.32';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.8';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.31';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.11';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.11';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.5';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.4';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.23';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.13';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.72';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version28: spec 
        <version: '2.8' imports: #('2.5-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.3'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.21'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.6'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.9'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.17'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.7'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.7'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.3'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.3'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.1'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.8'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.10'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.25'.
			spec package: 'Mondrian-Interaction' with: 'Mondrian-Interaction-AlexandreBergel.1'.
			spec package: 'Mondrian-Animation' with: 'Mondrian-Animation-AlexandreBergel.1'.
                ].! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version290: spec
	<version: '2.90' imports: #('2.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.90: Better popup color
2.91: Added visitor for the shapes
2.90 (): Pharo 1.3 compatible. Not backward compatible with Pharo 1.2'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '5/18/2011 11:19'.
		spec 
			project: 'Shout' with: '1.2.2';
			project: 'ProfStef' with: '1.6';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-SantiagoVidal.28';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.63';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.18';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.32';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.8';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-SantiagoVidal.34';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.12';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-SantiagoVidal.14';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.5';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.4';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.23';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.16';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.75';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version291: spec
	<version: '2.91' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.90 (): Pharo 1.3 compatible. Not backward compatible with Pharo 1.2
2.91 (): Added ShapeST80
2.91 (): Run lint'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '5/18/2011 16:43'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.30';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.65';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.19';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.33';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.9';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-SantiagoVidal.34';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.13';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.15';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.6';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.4';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.25';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.17';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.76';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.3'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version292: spec
	<version: '2.92' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.91 (): Run lint
2.92 :Minor cleaning'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '5/18/2011 19:44'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.30';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.65';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.20';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.33';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.9';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-SantiagoVidal.34';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.13';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.15';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.6';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.4';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.26';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.17';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.77';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version293: spec
	<version: '2.93' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.92 :Minor cleaning
2.93 :integrated Santiago lastest change on the visitor shape, and added a new benchmark'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '5/19/2011 11:59'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.30';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.65';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.20';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.33';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.9';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-SantiagoVidal.34';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.13';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-SantiagoVidal.16';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.6';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.4';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.26';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.17';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.78';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version294: spec
	<version: '2.94' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.93 :integrated Santiago lastest change on the visitor shape, and added a new benchmark
2.94 : minor improvement of distribution map, in the example for easel. Used of popupView: instead of popupText:'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '5/25/2011 12:19'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.30';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.65';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.20';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.33';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.9';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-SantiagoVidal.34';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.13';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-SantiagoVidal.16';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.6';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.4';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.26';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.17';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.78';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version295: spec
	<version: '2.95' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.95 : Better popup. Now it uses textmorph'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '5/25/2011 15:13'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.30';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.65';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.20';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.33';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.9';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-SantiagoVidal.34';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.13';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-SantiagoVidal.16';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.6';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.4';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.26';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.17';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.78';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version296: spec
	<version: '2.96' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.96 : Added command to load EyeSee. I need to try it'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '5/27/2011 09:55'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.30';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.65';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.20';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.34';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.9';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-SantiagoVidal.34';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.13';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-SantiagoVidal.16';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.6';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.4';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.26';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.17';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.78';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version297: spec
	<version: '2.97' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.96 : Added command to load EyeSee. I need to try it
2.97 : support for loading EyeSee'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '5/27/2011 12:10'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.30';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.65';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.20';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.35';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.9';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-SantiagoVidal.34';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.13';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-SantiagoVidal.16';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.6';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.4';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.26';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.17';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.78';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version298: spec
	<version: '2.98' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.97 : support for loading EyeSee
2.98 : Adding visitor to generate Protovis html files; added visitor of Protovis'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '6/6/2011 09:09'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.30';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.65';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.20';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.35';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.9';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-SantiagoVidal.34';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.13';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-SantiagoVidal.17';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.6';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.4';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.26';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-SantiagoVidal.18';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.78';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version299: spec
	<version: '2.99' imports: #('2.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.98 : Adding visitor to generate Protovis html files; added visitor of Protovis
2.99 : MOEaselCommandHTML5Exporter added. Merged with Santiago last change'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '6/6/2011 14:35'.
		spec 
			project: 'Shout' with: '1.3';
			project: 'ShapeST80' with: '1.0';
			project: 'ProfStef' with: '1.7';
			project: 'HealthReportProducer' with: '1.7'.
		spec 
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.30';
			package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.65';
			package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.20';
			package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.11';
			package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.36';
			package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.9';
			package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-SantiagoVidal.34';
			package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.13';
			package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-SantiagoVidal.17';
			package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.6';
			package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.4';
			package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.26';
			package: 'Mondrian-ShapeVisitor' with: 'Mondrian-ShapeVisitor-AlexandreBergel.4';
			package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-SantiagoVidal.18';
			package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.78';
			package: 'Mondrian-FADELayout' with: 'Mondrian-FADELayout-AlexandreBergel.4'. ].
! !

!ConfigurationOfMondrian methodsFor: 'versions' stamp: ''!
version29: spec 
        <version: '2.9' imports: #('2.5-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25'.
			spec package: 'Mondrian-ComplexShape' with: 'Mondrian-ComplexShape-AlexandreBergel.3'.
			spec package: 'Mondrian-Core' with: 'Mondrian-Core-AlexandreBergel.22'.
			spec package: 'Mondrian-Layouts' with: 'Mondrian-Layouts-AlexandreBergel.7'.
			spec package: 'Mondrian-Help' with: 'Mondrian-Help-AlexandreBergel.9'.
			spec package: 'Mondrian-Easel' with: 'Mondrian-Easel-AlexandreBergel.17'.
			spec package: 'Mondrian-Pharo-Tests' with: 'Mondrian-Pharo-Tests-AlexandreBergel.3'.
			spec package: 'Mondrian-Shapes' with: 'Mondrian-Shapes-AlexandreBergel.7'.
			spec package: 'Mondrian-Events' with: 'Mondrian-Events-AlexandreBergel.8'.
			spec package: 'Mondrian-Visitor' with: 'Mondrian-Visitor-AlexandreBergel.3'.
			spec package: 'Mondrian-Util' with: 'Mondrian-Util-AlexandreBergel.3'.
			spec package: 'Mondrian-Normalizers' with: 'Mondrian-Normalizers-AlexandreBergel.1'.
			spec package: 'Mondrian-Example' with: 'Mondrian-Example-AlexandreBergel.9'.
			spec package: 'Mondrian-Pharo-Morphic' with: 'Mondrian-Pharo-Morphic-AlexandreBergel.10'.
			spec package: 'Mondrian-Tests' with: 'Mondrian-Tests-AlexandreBergel.27'.
			spec package: 'Mondrian-Interaction' with: 'Mondrian-Interaction-AlexandreBergel.1'.
			spec package: 'Mondrian-Animation' with: 'Mondrian-Animation-AlexandreBergel.1'.
                ].! !
